rtcppkt.h(3)

NAME
rtcppkt.h -

RTCP packets handling.

SYNOPSIS

#include <ccrtp/base.h>

  Classes
class RTCPCompoundHandler
low level structs and RTCP packet parsing and building methods.
struct RTCPCompoundHandler::ReceiverInfo
Struct for the data contained in a receiver info block.
struct RTCPCompoundHandler::RRBlock
Struct for a receiver info block in a SR (sender report) or an RR (receiver report) RTCP packet.
struct RTCPCompoundHandler::RecvReport
raw structure of the source and every receiver report in an SR or RR RTCP packet.
struct RTCPCompoundHandler::SenderInfo
Struct for the sender info block in a SR (sender report) RTCP packet.
struct RTCPCompoundHandler::SendReport
Struct for SR (sender report) RTCP packets.
struct RTCPCompoundHandler::SDESItem
Struct for an item description of a SDES packet.
struct RTCPCompoundHandler::SDESChunk
Struct for a chunk of items in a SDES RTCP packet.
struct RTCPCompoundHandler::BYEPacket
Struct for BYE (leaving session) RTCP packets.
struct RTCPCompoundHandler::APPPacket
Struct for APP (application specific) RTCP packets.
struct RTCPCompoundHandler::FIRPacket
Struct for Full Intra-frame Request (FIR) RTCP packet.
struct RTCPCompoundHandler::NACKPacket
Struct for Negative ACKnowledgements (NACK) RTCP packet.
struct RTCPCompoundHandler::RTCPFixedHeader
Fixed RTCP packet header.
struct RTCPCompoundHandler::RTCPPacket
Struct representing general RTCP packet headers as they are sent through the network.
class RTCPReceiverInfo
Report block information of SR/RR RTCP reports.
class RTCPSenderInfo
Sender block information of SR RTCP reports.

  Enumerations
enum SDESItemType { SDESItemTypeEND = 0, SDESItemTypeCNAME, SDESItemTypeNAME, SDESItemTypeEMAIL, SDESItemTypePHONE, SDESItemTypeLOC, SDESItemTypeTOOL, SDESItemTypeNOTE, SDESItemTypePRIV, SDESItemTypeH323CADDR, SDESItemTypeLast = SDESItemTypeH323CADDR }
SDES items that may be carried in a Source DEScription RTCP packet.

  Functions
timeval NTP2Timeval (uint32 msw, uint32 lsw)
Convert a NTP timestamp, expressed as two 32-bit long words, into a timeval value.
uint32 timevalIntervalTo65536 (timeval &t)
Convert a time interval, expressed as a timeval, into a 32-bit time interval expressed in units of 1/65536 seconds.

Detailed Description

RTCP packets handling.

Author

Generated automatically by Doxygen for ccRTP from the source code.